package cn.com.countrygarden.bi.main.dao.personnel;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.dto.FenghuangCollectionrateDTO;
import cn.com.countrygarden.bi.main.model.dup.FenghuangCollectionrate;
import org.apache.ibatis.annotations.Param;

import java.util.List;




/**
 * 收缴率-数据层
 *
 * @author 吕伟峰
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2019-02-24
 */
public interface FenghuangCollectionrateMapper extends Mapper<FenghuangCollectionrate>{
	
	List<FenghuangCollectionrateDTO> FenghuangCollectionratelist(@Param("time") String time);

	List<FenghuangCollectionrateDTO> managerhousekeeper(@Param("userName") String userName,@Param("time") String time);

	int deleteColl(@Param("time") String time,@Param("userIds") List<String> userIds);

	int updateFenghuangCollectionrate(FenghuangCollectionrateDTO fCollectionrateDTO);

	Integer collnum(@Param("userId") String userId,@Param("time") String time);

	int updatecoll(FenghuangCollectionrate formatter);

	Double selectNewCollectionRate(@Param("userId") String userId);

    List<String> selectErrorRate(@Param("date") String date);
}